loveframes = require "lib.loveframes"

love.keyboard.setKeyRepeat(true)

function love.load()
-- Change fonts on active skin
	loveframes.GetActiveSkin().controls.smallfont = love.graphics.newFont( "Arial.ttf", 10)
	loveframes.GetActiveSkin().controls.imagebuttonfont = love.graphics.newFont( "Arial.ttf", 15)

-- Change fonts on all registered skins
	for _, skin in pairs(loveframes.skins) do
		skin.controls.smallfont = love.graphics.newFont( "Arial.ttf", 10)
		skin.controls.imagebuttonfont = love.graphics.newFont( "Arial.ttf", 15)
	end

	local image2 = love.graphics.newImage( "cap.png" )
	button = loveframes.Create("imagebutton")
	button:SetImage(image2)
	button:SetPos(300, 100)
	button:SizeToImage()
	button:SetText("Привет") -- Russian language
	button.OnClick = function(object)
		print("Clicked")
	end;
	
	button = loveframes.Create("button")
	button:SetPos(300, 300)
	button:SetText("Прощай") -- Russian language

end;

function love.update(dt)
	loveframes.update(dt)
end;

function love.mousepressed(x,y,button)
  loveframes.mousepressed(x, y, button)
end;

function love.mousereleased(x,y,button)
  loveframes.mousereleased(x, y, button);
end

function love.draw()
	loveframes.draw();
end;
